searchData={"items":[{"type":"task","title":"mix classify_image","doc":"Image classification mix task: `mix help classify_image`\n\nCommand line arguments:\n\n- `-m`, `--model`: *Required*. File path of .tflite file.\n- `-i`, `--input`: *Required*. Image to be classified.\n- `-l`, `--labels`: File path of labels file.\n- `-k`, `--top`: Default to `1`. Max number of classification results.\n- `-t`, `--threshold`: Default to `0.0`. Classification score threshold.\n- `-c`, `--count`: Default to `1`. Number of times to run inference.\n- `-a`, `--mean`: Default to `128.0`. Mean value for input normalization.\n- `-s`, `--std`: Default to `128.0`. STD value for input normalization.\n- `-j`, `--jobs`: Number of threads for the interpreter (only valid for CPU).\n- `--use-tpu`: Default to false. Add this option to use Coral device.\n- `--tpu`: Default to `\"\"`. Coral device name.\n  - `\"\"`      -- any TPU device\n  - `\"usb\"`   -- any TPU device on USB bus\n  - `\"pci\"`   -- any TPU device on PCIe bus\n  - `\":N\"`    -- N-th TPU device, e.g. `\":0\"`\n  - `\"usb:N\"` -- N-th TPU device on USB bus, e.g. `\"usb:0\"`\n  - `\"pci:N\"` -- N-th TPU device on PCIe bus, e.g. `\"pci:0\"`\n\nCode based on [classify_image.py](https://github.com/google-coral/pycoral/blob/master/examples/classify_image.py)","ref":"Mix.Tasks.ClassifyImage.html"},{"type":"function","title":"Mix.Tasks.ClassifyImage.run/1","doc":"","ref":"Mix.Tasks.ClassifyImage.html#run/1"},{"type":"task","title":"mix detect_image","doc":"Image detection mix task: `mix help detect_image`\n\nCommand line arguments:\n\n- `-m`, `--model`: *Required*. File path of .tflite file.\n- `-i`, `--input`: *Required*. Image to process.\n- `-l`, `--labels`: File path of labels file.\n- `-t`, `--threshold`: Default to `0.4`. Score threshold for detected objects.\n- `-c`, `--count`: Default to `1`. Number of times to run inference.\n- `-j`, `--jobs`: Number of threads for the interpreter (only valid for CPU).\n\nCode based on [detect_image.py](https://github.com/google-coral/pycoral/blob/master/examples/detect_image.py)","ref":"Mix.Tasks.DetectImage.html"},{"type":"function","title":"Mix.Tasks.DetectImage.run/1","doc":"","ref":"Mix.Tasks.DetectImage.html#run/1"},{"type":"task","title":"mix list_edgetpu","doc":"List all available Edge Tpu mix task: `mix help list_edgetpu`","ref":"Mix.Tasks.ListEdgetpu.html"},{"type":"function","title":"Mix.Tasks.ListEdgetpu.run/1","doc":"","ref":"Mix.Tasks.ListEdgetpu.html#run/1"},{"type":"module","title":"TFLiteElixir","doc":"This module contains some helper functions from the `tflite`\nnamespace in TensorFlow Lite's codebase.","ref":"TFLiteElixir.html"},{"type":"function","title":"TFLiteElixir.print_interpreter_state/1","doc":"Prints a dump of what tensors and what nodes are in the interpreter.\n\nNote that this function directly prints to stdout","ref":"TFLiteElixir.html#print_interpreter_state/1"},{"type":"function","title":"TFLiteElixir.reset_variable_tensor/1","doc":"Resets a variable tensor to the default value.","ref":"TFLiteElixir.html#reset_variable_tensor/1"},{"type":"module","title":"TFLiteElixir.Coral","doc":"This module contains libcoral C++ API, which provides\nconvenient functions to perform inferencing and on-device transfer learning\nwith TensorFlow Lite models on [Coral devices](https://coral.ai/products/).","ref":"TFLiteElixir.Coral.html"},{"type":"function","title":"TFLiteElixir.Coral.contains_edge_tpu_custom_op?/1","doc":"Checks whether a tflite model contains any Edge TPU custom operator.","ref":"TFLiteElixir.Coral.html#contains_edge_tpu_custom_op?/1"},{"type":"function","title":"TFLiteElixir.Coral.dequantize_tensor/3","doc":"Returns a dequantized version of the given tensor.","ref":"TFLiteElixir.Coral.html#dequantize_tensor/3"},{"type":"function","title":"TFLiteElixir.Coral.edge_tpu_devices/0","doc":"Returns a list of connected edge TPU devices.","ref":"TFLiteElixir.Coral.html#edge_tpu_devices/0"},{"type":"function","title":"TFLiteElixir.Coral.get_edge_tpu_context/1","doc":"Returns TPU context or an error-tuple if requested TPU context is not available.\n\n#","ref":"TFLiteElixir.Coral.html#get_edge_tpu_context/1"},{"type":"function","title":"Keyword Parameters - TFLiteElixir.Coral.get_edge_tpu_context/1","doc":"- `device`: `String.t()`. Possible values are\n\n  - \"\"      -- any TPU device\n  - \"usb\"   -- any TPU device on USB bus\n  - \"pci\"   -- any TPU device on PCIe bus\n  - \":N\"    -- N-th TPU device, e.g. \":0\"\n  - \"usb:N\" -- N-th TPU device on USB bus, e.g. \"usb:0\"\n  - \"pci:N\" -- N-th TPU device on PCIe bus, e.g. \"pci:0\"\n\n  Default value is `\"\"`.\n\n  Consider 2 USB devices and 4 PCIe devices connected to the host. The way to\n  reference specifically USB devices:\n\n    \"usb:0\", \"usb:1\".\n\n  The way to reference specifically PCIe devices:\n\n    \"pci:0\", \"pci:1\", \"pci:2\", \"pci:3\".\n\n  The generic way to reference all devices (no assumption about device type):\n\n    \":0\", \":1\", \":2\", \":3\", \":4\", \":5\".\n\n- `options`: `Map`. Possible key-value pairs are\n\n  - \"Performance\": `String.t()`\n\n    - \"Low\"\n    - \"Medium\"\n    - \"High\"\n    - \"Max\"\n\n    Default is \"Max\".\n\n    Adjust internal clock rate to achieve different performance / power balance.\n\n  - \"Usb.AlwaysDfu\": `boolean`\n\n    - `true`\n    - `false`\n\n    Default is `false`.\n\n    Always perform device firmware update after reset. DFU is usually only\n    necessary after power cycle.\n\n  - \"Usb.MaxBulkInQueueLength\": `String.t()`\n\n    - [\"0\",.., \"255\"] (Default is \"32\")\n\n    Larger queue length may improve USB performance on the direction from\n    device to host.\n\n    All TPUs are always enumerated in the same order assuming hardware\n    configuration doesn't change (no added/removed devices between enumerations).\n    Under the assumption above, the same index N will always point to the same\n    device.","ref":"TFLiteElixir.Coral.html#get_edge_tpu_context/1-keyword-parameters"},{"type":"function","title":"TFLiteElixir.Coral.get_edge_tpu_context!/1","doc":"Raising version of `get_edge_tpu_context/1`.","ref":"TFLiteElixir.Coral.html#get_edge_tpu_context!/1"},{"type":"function","title":"TFLiteElixir.Coral.make_edge_tpu_interpreter/2","doc":"Creates a new interpreter instance for an Edge TPU model.\n\nAlso consider using `make_edge_tpu_interpreter!()`.\n\n###","ref":"TFLiteElixir.Coral.html#make_edge_tpu_interpreter/2"},{"type":"function","title":"Positional Parameters - TFLiteElixir.Coral.make_edge_tpu_interpreter/2","doc":"- `model`: `FlatBufferModel`. The tflite model.\n- `edgetpu_context`: `reference()`.\n\n  The Edge TPU context, from `TFLiteElixir.Coral::get_edge_tpu_context`.\n\n  If left `nil`, the given interpreter will not resolve an Edge TPU delegate.\n  PoseNet custom op is always supported.\n\n###","ref":"TFLiteElixir.Coral.html#make_edge_tpu_interpreter/2-positional-parameters"},{"type":"function","title":"Keyword Parameters (todo) - TFLiteElixir.Coral.make_edge_tpu_interpreter/2","doc":"- `resolver`: May be `nil` to use a default resolver.\n- `error_reporter`: May be `nil` to use default error reporter,\n  but beware that if null, tflite runtime error messages will not return.\n- `interpreter`: The pointer to receive the new interpreter.","ref":"TFLiteElixir.Coral.html#make_edge_tpu_interpreter/2-keyword-parameters-todo"},{"type":"function","title":"TFLiteElixir.Coral.make_edge_tpu_interpreter!/2","doc":"Raising version of `make_edge_tpu_interpreter/2`.","ref":"TFLiteElixir.Coral.html#make_edge_tpu_interpreter!/2"},{"type":"module","title":"TFLiteElixir.ErrorReporter","doc":"ErrorReporter to provide reporting destinations.","ref":"TFLiteElixir.ErrorReporter.html"},{"type":"function","title":"TFLiteElixir.ErrorReporter.default_error_reporter/0","doc":"Get the default error reporter.\n\nThe default error reporter simply writes the message to stderr.","ref":"TFLiteElixir.ErrorReporter.html#default_error_reporter/0"},{"type":"module","title":"TFLiteElixir.FlatBufferModel","doc":"An RAII object that represents a read-only tflite model, copied from disk, or\nmmapped.","ref":"TFLiteElixir.FlatBufferModel.html"},{"type":"function","title":"TFLiteElixir.FlatBufferModel.build_from_buffer/2","doc":"Build model from caller owned memory buffer\n\nNote that `buffer` will be copied.","ref":"TFLiteElixir.FlatBufferModel.html#build_from_buffer/2"},{"type":"function","title":"TFLiteElixir.FlatBufferModel.build_from_file/2","doc":"Build model from a given .tflite file\n\nNote that if the tensorflow-lite library was compiled with `TFLITE_MCU`,\nthen this function will always have return type `nif_error()`.\n\n###","ref":"TFLiteElixir.FlatBufferModel.html#build_from_file/2"},{"type":"function","title":"Keyword parameters - TFLiteElixir.FlatBufferModel.build_from_file/2","doc":"- `error_reporter`: `TFLiteElixir.ErrorReporter`.\n\n  Caller retains ownership of `error_reporter` and must ensure its lifetime\n  is longer than the FlatBufferModel instance.","ref":"TFLiteElixir.FlatBufferModel.html#build_from_file/2-keyword-parameters"},{"type":"function","title":"TFLiteElixir.FlatBufferModel.build_from_file!/2","doc":"Raising version of `build_from_file/2`.","ref":"TFLiteElixir.FlatBufferModel.html#build_from_file!/2"},{"type":"function","title":"TFLiteElixir.FlatBufferModel.error_reporter/1","doc":"Get the error report of the current FlatBuffer model.","ref":"TFLiteElixir.FlatBufferModel.html#error_reporter/1"},{"type":"function","title":"TFLiteElixir.FlatBufferModel.get_associated_file/2","doc":"Get associated file(s) from a FlatBuffer model","ref":"TFLiteElixir.FlatBufferModel.html#get_associated_file/2"},{"type":"function","title":"TFLiteElixir.FlatBufferModel.get_minimum_runtime/1","doc":"Returns the minimum runtime version from the flatbuffer. This runtime\nversion encodes the minimum required interpreter version to run the\nflatbuffer model. If the minimum version can't be determined, an empty\nstring will be returned.\n\nNote that the returned minimum version is a lower-bound but not a strict\nlower-bound; ops in the graph may not have an associated runtime version,\nin which case the actual required runtime might be greater than the\nreported minimum.","ref":"TFLiteElixir.FlatBufferModel.html#get_minimum_runtime/1"},{"type":"function","title":"TFLiteElixir.FlatBufferModel.initialized/1","doc":"Check whether current model has been initialized","ref":"TFLiteElixir.FlatBufferModel.html#initialized/1"},{"type":"function","title":"TFLiteElixir.FlatBufferModel.list_associated_files/1","doc":"Get a list of all associated file(s) in a TFLite model file","ref":"TFLiteElixir.FlatBufferModel.html#list_associated_files/1"},{"type":"function","title":"TFLiteElixir.FlatBufferModel.read_all_metadata/1","doc":"Return model metadata as a mapping of name & buffer strings.\n\nSee Metadata table in TFLite schema.","ref":"TFLiteElixir.FlatBufferModel.html#read_all_metadata/1"},{"type":"function","title":"TFLiteElixir.FlatBufferModel.verify_and_build_from_file/2","doc":"Verifies whether the content of the file is legit, then builds a model\nbased on the file.\n\n###","ref":"TFLiteElixir.FlatBufferModel.html#verify_and_build_from_file/2"},{"type":"function","title":"Keyword parameters - TFLiteElixir.FlatBufferModel.verify_and_build_from_file/2","doc":"- `error_reporter`: `TFLiteElixir.ErrorReporter`.\n\n  Caller retains ownership of `error_reporter` and must ensure its lifetime\n  is longer than the FlatBufferModel instance.\n\nReturns `:invalid` in case of failure.","ref":"TFLiteElixir.FlatBufferModel.html#verify_and_build_from_file/2-keyword-parameters"},{"type":"type","title":"TFLiteElixir.FlatBufferModel.nif_error/0","doc":"","ref":"TFLiteElixir.FlatBufferModel.html#t:nif_error/0"},{"type":"module","title":"TFLiteElixir.ImageClassification","doc":"Experimental image classification module.","ref":"TFLiteElixir.ImageClassification.html"},{"type":"function","title":"TFLiteElixir.ImageClassification.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"TFLiteElixir.ImageClassification.html#child_spec/1"},{"type":"function","title":"TFLiteElixir.ImageClassification.predict/3","doc":"","ref":"TFLiteElixir.ImageClassification.html#predict/3"},{"type":"function","title":"TFLiteElixir.ImageClassification.set_label/2","doc":"","ref":"TFLiteElixir.ImageClassification.html#set_label/2"},{"type":"function","title":"TFLiteElixir.ImageClassification.set_label_from_associated_file/2","doc":"","ref":"TFLiteElixir.ImageClassification.html#set_label_from_associated_file/2"},{"type":"function","title":"TFLiteElixir.ImageClassification.start/2","doc":"","ref":"TFLiteElixir.ImageClassification.html#start/2"},{"type":"module","title":"TFLiteElixir.Interpreter","doc":"An interpreter for a graph of nodes that input and output from tensors.","ref":"TFLiteElixir.Interpreter.html"},{"type":"function","title":"TFLiteElixir.Interpreter.allocate_tensors/1","doc":"Allocate memory for tensors in the graph","ref":"TFLiteElixir.Interpreter.html#allocate_tensors/1"},{"type":"function","title":"TFLiteElixir.Interpreter.allocate_tensors!/1","doc":"Raising version of `allocate_tensors/1`.","ref":"TFLiteElixir.Interpreter.html#allocate_tensors!/1"},{"type":"function","title":"TFLiteElixir.Interpreter.execution_plan/1","doc":"Return the execution plan of the model.\n\nExperimental interface, subject to change.","ref":"TFLiteElixir.Interpreter.html#execution_plan/1"},{"type":"function","title":"TFLiteElixir.Interpreter.get_input_name/2","doc":"Get the name of the input tensor\n\nNote that the index here means the index in the result list of `inputs/1`. For example,\nif `inputs/1` returns `[42, 314]`, then `0` should be passed here to get the name of\ntensor `42`","ref":"TFLiteElixir.Interpreter.html#get_input_name/2"},{"type":"function","title":"TFLiteElixir.Interpreter.get_input_name!/2","doc":"Raising version of `get_input_name/2`.","ref":"TFLiteElixir.Interpreter.html#get_input_name!/2"},{"type":"function","title":"TFLiteElixir.Interpreter.get_output_name/2","doc":"Get the name of the output tensor\n\nNote that the index here means the index in the result list of `outputs/1`. For example,\nif `outputs/1` returns `[42, 314]`, then `0` should be passed here to get the name of\ntensor `42`","ref":"TFLiteElixir.Interpreter.html#get_output_name/2"},{"type":"function","title":"TFLiteElixir.Interpreter.get_output_name!/2","doc":"Raising version of `get_output_name/2`.","ref":"TFLiteElixir.Interpreter.html#get_output_name!/2"},{"type":"function","title":"TFLiteElixir.Interpreter.get_signature_defs/1","doc":"Get SignatureDef map from the Metadata of a TfLite flatbuffer buffer.\n\n`self`: `TFLiteElixir.Interpreter`\n\n  TFLite model buffer to get the signature_def.\n\n###","ref":"TFLiteElixir.Interpreter.html#get_signature_defs/1"},{"type":"function","title":"Returns: - TFLiteElixir.Interpreter.get_signature_defs/1","doc":"Map containing serving names to SignatureDefs if exists, otherwise, `nil`.","ref":"TFLiteElixir.Interpreter.html#get_signature_defs/1-returns"},{"type":"function","title":"TFLiteElixir.Interpreter.get_signature_defs!/1","doc":"Raising version of `get_signature_defs/1`.","ref":"TFLiteElixir.Interpreter.html#get_signature_defs!/1"},{"type":"function","title":"TFLiteElixir.Interpreter.input_tensor/3","doc":"Fill data to the specified input tensor\n\nNote: although we have `typed_input_tensor` available in C++, here what we really passed\nto the NIF is `binary` data, therefore, I'm not pretend that we have type information.","ref":"TFLiteElixir.Interpreter.html#input_tensor/3"},{"type":"function","title":"TFLiteElixir.Interpreter.input_tensor!/3","doc":"Raising version of `input_tensor/3`.","ref":"TFLiteElixir.Interpreter.html#input_tensor!/3"},{"type":"function","title":"TFLiteElixir.Interpreter.inputs/1","doc":"Get the list of input tensors.\n\nreturn a list of input tensor id","ref":"TFLiteElixir.Interpreter.html#inputs/1"},{"type":"function","title":"TFLiteElixir.Interpreter.inputs!/1","doc":"Raising version of `inputs/1`.","ref":"TFLiteElixir.Interpreter.html#inputs!/1"},{"type":"function","title":"TFLiteElixir.Interpreter.invoke/1","doc":"Run forwarding","ref":"TFLiteElixir.Interpreter.html#invoke/1"},{"type":"function","title":"TFLiteElixir.Interpreter.invoke!/1","doc":"Raising version of `invoke/1`.","ref":"TFLiteElixir.Interpreter.html#invoke!/1"},{"type":"function","title":"TFLiteElixir.Interpreter.new/0","doc":"New interpreter","ref":"TFLiteElixir.Interpreter.html#new/0"},{"type":"function","title":"TFLiteElixir.Interpreter.new/1","doc":"New interpreter with model filepath","ref":"TFLiteElixir.Interpreter.html#new/1"},{"type":"function","title":"TFLiteElixir.Interpreter.new!/0","doc":"Raising version of `new/0`.","ref":"TFLiteElixir.Interpreter.html#new!/0"},{"type":"function","title":"TFLiteElixir.Interpreter.new!/1","doc":"Raising version of `new/1`.","ref":"TFLiteElixir.Interpreter.html#new!/1"},{"type":"function","title":"TFLiteElixir.Interpreter.new_from_buffer/1","doc":"New interpreter with model buffer","ref":"TFLiteElixir.Interpreter.html#new_from_buffer/1"},{"type":"function","title":"TFLiteElixir.Interpreter.nodes_size/1","doc":"Return the number of ops in the model.","ref":"TFLiteElixir.Interpreter.html#nodes_size/1"},{"type":"function","title":"TFLiteElixir.Interpreter.output_tensor/2","doc":"Get the data of the output tensor\n\nNote that the index here means the index in the result list of `outputs/1`. For example,\nif `outputs/1` returns `[42, 314]`, then `0` should be passed here to get the name of\ntensor `42`","ref":"TFLiteElixir.Interpreter.html#output_tensor/2"},{"type":"function","title":"TFLiteElixir.Interpreter.output_tensor!/2","doc":"Raising version of `output_tensor/2`.","ref":"TFLiteElixir.Interpreter.html#output_tensor!/2"},{"type":"function","title":"TFLiteElixir.Interpreter.outputs/1","doc":"Get the list of output tensors.\n\nreturn a list of output tensor id","ref":"TFLiteElixir.Interpreter.html#outputs/1"},{"type":"function","title":"TFLiteElixir.Interpreter.outputs!/1","doc":"Raising version of `outputs/1`.","ref":"TFLiteElixir.Interpreter.html#outputs!/1"},{"type":"function","title":"TFLiteElixir.Interpreter.predict/2","doc":"Fill input data to corresponding input tensor of the interpreter,\ncall `Interpreter.invoke` and return output tensor(s)","ref":"TFLiteElixir.Interpreter.html#predict/2"},{"type":"function","title":"TFLiteElixir.Interpreter.set_inputs/2","doc":"Provide a list of tensor indexes that are inputs to the model.\nEach index is bound check and this modifies the consistent_ flag of the\ninterpreter.","ref":"TFLiteElixir.Interpreter.html#set_inputs/2"},{"type":"function","title":"TFLiteElixir.Interpreter.set_num_threads/2","doc":"Set the number of threads available to the interpreter.\n\nNOTE: num_threads should be >= 1.\n\nAs TfLite interpreter could internally apply a TfLite delegate by default\n(i.e. XNNPACK), the number of threads that are available to the default\ndelegate *should be* set via InterpreterBuilder APIs as follows:\n\n```elixir\ninterpreter = Interpreter.new!()\nbuilder = InterpreterBuilder.new!(tflite model, op resolver)\nInterpreterBuilder.set_num_threads(builder, ...)\nassert :ok == InterpreterBuilder.build!(builder, interpreter)\n```","ref":"TFLiteElixir.Interpreter.html#set_num_threads/2"},{"type":"function","title":"TFLiteElixir.Interpreter.set_num_threads!/2","doc":"Raising version of `set_num_threads/2`.","ref":"TFLiteElixir.Interpreter.html#set_num_threads!/2"},{"type":"function","title":"TFLiteElixir.Interpreter.set_outputs/2","doc":"Provide a list of tensor indexes that are outputs to the model.\nEach index is bound check and this modifies the consistent_ flag of the\ninterpreter.","ref":"TFLiteElixir.Interpreter.html#set_outputs/2"},{"type":"function","title":"TFLiteElixir.Interpreter.set_variables/2","doc":"Provide a list of tensor indexes that are variable tensors.\nEach index is bound check and this modifies the consistent_ flag of the\ninterpreter.","ref":"TFLiteElixir.Interpreter.html#set_variables/2"},{"type":"function","title":"TFLiteElixir.Interpreter.signature_keys/1","doc":"Returns list of all keys of different method signatures defined in the\nmodel.\n\nWARNING: Experimental interface, subject to change","ref":"TFLiteElixir.Interpreter.html#signature_keys/1"},{"type":"function","title":"TFLiteElixir.Interpreter.tensor/2","doc":"Get any tensor in the graph by its id\n\nNote that the `tensor_index` here means the id of a tensor. For example,\nif `inputs/1` returns `[42, 314]`, then `42` should be passed here to get tensor `42`.","ref":"TFLiteElixir.Interpreter.html#tensor/2"},{"type":"function","title":"TFLiteElixir.Interpreter.tensors_size/1","doc":"Return the number of tensors in the model.","ref":"TFLiteElixir.Interpreter.html#tensors_size/1"},{"type":"function","title":"TFLiteElixir.Interpreter.variables/1","doc":"Get the list of variable tensors.","ref":"TFLiteElixir.Interpreter.html#variables/1"},{"type":"type","title":"TFLiteElixir.Interpreter.nif_error/0","doc":"","ref":"TFLiteElixir.Interpreter.html#t:nif_error/0"},{"type":"type","title":"TFLiteElixir.Interpreter.nif_resource_ok/0","doc":"","ref":"TFLiteElixir.Interpreter.html#t:nif_resource_ok/0"},{"type":"type","title":"TFLiteElixir.Interpreter.tensor_type/0","doc":"","ref":"TFLiteElixir.Interpreter.html#t:tensor_type/0"},{"type":"module","title":"TFLiteElixir.InterpreterBuilder","doc":"Build an interpreter capable of interpreting model.","ref":"TFLiteElixir.InterpreterBuilder.html"},{"type":"function","title":"TFLiteElixir.InterpreterBuilder.build/2","doc":"Build the interpreter with the InterpreterBuilder.\n\nNote: all Interpreters should be built with the InterpreterBuilder,\nwhich allocates memory for the Interpreter and does various set up\ntasks so that the Interpreter can read the provided model.","ref":"TFLiteElixir.InterpreterBuilder.html#build/2"},{"type":"function","title":"TFLiteElixir.InterpreterBuilder.build!/2","doc":"Raising version of `build/2`.","ref":"TFLiteElixir.InterpreterBuilder.html#build!/2"},{"type":"function","title":"TFLiteElixir.InterpreterBuilder.new/2","doc":"New InterpreterBuilder","ref":"TFLiteElixir.InterpreterBuilder.html#new/2"},{"type":"function","title":"TFLiteElixir.InterpreterBuilder.new!/2","doc":"Raising version of `new/2`.","ref":"TFLiteElixir.InterpreterBuilder.html#new!/2"},{"type":"function","title":"TFLiteElixir.InterpreterBuilder.set_num_threads/2","doc":"Sets the number of CPU threads to use for the interpreter.\nReturns `true` on success, `{:error, reason}` on error.","ref":"TFLiteElixir.InterpreterBuilder.html#set_num_threads/2"},{"type":"function","title":"TFLiteElixir.InterpreterBuilder.set_num_threads!/2","doc":"Raising version of `set_num_threads/2`.","ref":"TFLiteElixir.InterpreterBuilder.html#set_num_threads!/2"},{"type":"type","title":"TFLiteElixir.InterpreterBuilder.nif_error/0","doc":"","ref":"TFLiteElixir.InterpreterBuilder.html#t:nif_error/0"},{"type":"type","title":"TFLiteElixir.InterpreterBuilder.nif_resource_ok/0","doc":"","ref":"TFLiteElixir.InterpreterBuilder.html#t:nif_resource_ok/0"},{"type":"module","title":"TFLiteElixir.MobileBert","doc":"","ref":"TFLiteElixir.MobileBert.html"},{"type":"function","title":"TFLiteElixir.MobileBert.init/1","doc":"","ref":"TFLiteElixir.MobileBert.html#init/1"},{"type":"function","title":"TFLiteElixir.MobileBert.run/3","doc":"","ref":"TFLiteElixir.MobileBert.html#run/3"},{"type":"module","title":"TFLiteElixir.Ops.Builtin.BuiltinResolver","doc":"This built-in op resolver provides a list of TfLite delegates that could be\napplied by TfLite interpreter by default.","ref":"TFLiteElixir.Ops.Builtin.BuiltinResolver.html"},{"type":"function","title":"TFLiteElixir.Ops.Builtin.BuiltinResolver.new/0","doc":"New built-in op resolver.\n\nThis resolver provides a list of TfLite delegates that could be\napplied by TfLite interpreter by default. Currently, it includes\nthe following opeators.\n\n- ABS\n- HARD_SWISH\n- RELU\n- RELU_N1_TO_1\n- RELU_0_TO_1\n- RELU6\n- TANH\n- LOGISTIC\n- AVERAGE_POOL_2D\n- MAX_POOL_2D\n- L2_POOL_2D\n- CONV_2D\n- DEPTHWISE_CONV_2D\n- SVDF\n- RNN\n- BIDIRECTIONAL_SEQUENCE_RNN\n- UNIDIRECTIONAL_SEQUENCE_RNN\n- EMBEDDING_LOOKUP\n- EMBEDDING_LOOKUP_SPARSE\n- FULLY_CONNECTED\n- LSH_PROJECTION\n- HASHTABLE_LOOKUP\n- SOFTMAX\n- CONCATENATION\n- ADD\n- SPACE_TO_BATCH_ND\n- BATCH_TO_SPACE_ND\n- MUL\n- L2_NORMALIZATION\n- LOCAL_RESPONSE_NORMALIZATION\n- LSTM\n- BIDIRECTIONAL_SEQUENCE_LSTM\n- UNIDIRECTIONAL_SEQUENCE_LSTM\n- PAD\n- PADV2\n- RESHAPE\n- RESIZE_BILINEAR\n- RESIZE_NEAREST_NEIGHBOR\n- SKIP_GRAM\n- SPACE_TO_DEPTH\n- DEPTH_TO_SPACE\n- GATHER\n- TRANSPOSE\n- MEAN\n- DIV\n- SUB\n- SPLIT\n- SPLIT_V\n- SQUEEZE\n- STRIDED_SLICE\n- EXP\n- TOPK_V2\n- LOG\n- LOG_SOFTMAX\n- CAST\n- DEQUANTIZE\n- PRELU\n- MAXIMUM\n- MINIMUM\n- ARG_MAX\n- ARG_MIN\n- GREATER\n- GREATER_EQUAL\n- LESS\n- LESS_EQUAL\n- FLOOR\n- CEIL\n- ROUND\n- NEG\n- SELECT\n- SELECT_V2\n- SLICE\n- SIN\n- COS\n- TRANSPOSE_CONV\n- TILE\n- SUM\n- REDUCE_PROD\n- REDUCE_MAX\n- REDUCE_MIN\n- REDUCE_ANY\n- REDUCE_ALL\n- EXPAND_DIMS\n- SPARSE_TO_DENSE\n- EQUAL\n- NOT_EQUAL\n- SQRT\n- RSQRT\n- SHAPE\n- RANK\n- POW\n- FAKE_QUANT\n- PACK\n- ONE_HOT\n- LOGICAL_OR\n- LOGICAL_AND\n- LOGICAL_NOT\n- UNPACK\n- FLOOR_DIV\n- SQUARE\n- ZEROS_LIKE\n- FLOOR_MOD\n- RANGE\n- LEAKY_RELU\n- SQUARED_DIFFERENCE\n- FILL\n- MIRROR_PAD\n- UNIQUE\n- REVERSE_V2\n- ADD_N\n- GATHER_ND\n- WHERE\n- ELU\n- REVERSE_SEQUENCE\n- MATRIX_DIAG\n- QUANTIZE\n- MATRIX_SET_DIAG\n- IF\n- WHILE\n- NON_MAX_SUPPRESSION_V4\n- NON_MAX_SUPPRESSION_V5\n- SCATTER_ND\n- DENSIFY\n- SEGMENT_SUM\n- BATCH_MATMUL\n- CUMSUM\n- BROADCAST_TO\n- CALL_ONCE\n- RFFT2D\n- CONV_3D\n- IMAG\n- REAL\n- COMPLEX_ABS\n- BROADCAST_ARGS\n- HASHTABLE\n- HASHTABLE_FIND\n- HASHTABLE_IMPORT\n- HASHTABLE_SIZE\n- CONV_3D_TRANSPOSE\n- VAR_HANDLE\n- READ_VARIABLE\n- ASSIGN_VARIABLE\n- MULTINOMIAL\n- RANDOM_STANDARD_NORMAL\n- BUCKETIZE\n- RANDOM_UNIFORM\n- GELU\n- DYNAMIC_UPDATE_SLICE\n- UNSORTED_SEGMENT_PROD\n- UNSORTED_SEGMENT_MAX\n- UNSORTED_SEGMENT_MIN\n- UNSORTED_SEGMENT_SUM\n- ATAN2\n- SIGN\n- NumericVerify\n- Mfcc\n- AudioSpectrogram\n- TFLite_Detection_PostProcess","ref":"TFLiteElixir.Ops.Builtin.BuiltinResolver.html#new/0"},{"type":"function","title":"TFLiteElixir.Ops.Builtin.BuiltinResolver.new!/0","doc":"Raising version of `new/0`.","ref":"TFLiteElixir.Ops.Builtin.BuiltinResolver.html#new!/0"},{"type":"type","title":"TFLiteElixir.Ops.Builtin.BuiltinResolver.nif_error/0","doc":"","ref":"TFLiteElixir.Ops.Builtin.BuiltinResolver.html#t:nif_error/0"},{"type":"type","title":"TFLiteElixir.Ops.Builtin.BuiltinResolver.nif_resource_ok/0","doc":"","ref":"TFLiteElixir.Ops.Builtin.BuiltinResolver.html#t:nif_resource_ok/0"},{"type":"module","title":"TFLiteElixir.TFLiteQuantizationParams","doc":"Quantization parameters that corresponds to the table QuantizationParameters\nin the [TFLite Model schema file].\n\n[TFLite Model schema file]: https://github.com/tensorflow/tensorflow/blob/master/tensorflow/lite/schema/schema.fbs","ref":"TFLiteElixir.TFLiteQuantizationParams.html"},{"type":"module","title":"TFLiteElixir.TFLiteTensor","doc":"A typed multi-dimensional array used in Tensorflow Lite.","ref":"TFLiteElixir.TFLiteTensor.html"},{"type":"function","title":"TFLiteElixir.TFLiteTensor.dims/1","doc":"Get the dimensions (C++) API","ref":"TFLiteElixir.TFLiteTensor.html#dims/1"},{"type":"function","title":"TFLiteElixir.TFLiteTensor.quantization_params/1","doc":"Get the quantization params","ref":"TFLiteElixir.TFLiteTensor.html#quantization_params/1"},{"type":"function","title":"TFLiteElixir.TFLiteTensor.set_data/2","doc":"Set tensor data","ref":"TFLiteElixir.TFLiteTensor.html#set_data/2"},{"type":"function","title":"TFLiteElixir.TFLiteTensor.shape/1","doc":"Get the tensor shape","ref":"TFLiteElixir.TFLiteTensor.html#shape/1"},{"type":"function","title":"TFLiteElixir.TFLiteTensor.to_binary/2","doc":"Get binary data","ref":"TFLiteElixir.TFLiteTensor.html#to_binary/2"},{"type":"function","title":"TFLiteElixir.TFLiteTensor.to_nx/2","doc":"Convert `TFLiteElixir.TFLiteTensor` to `Nx.Tensor`","ref":"TFLiteElixir.TFLiteTensor.html#to_nx/2"},{"type":"function","title":"TFLiteElixir.TFLiteTensor.type/1","doc":"Get the data type","ref":"TFLiteElixir.TFLiteTensor.html#type/1"},{"type":"type","title":"TFLiteElixir.TFLiteTensor.nif_error/0","doc":"","ref":"TFLiteElixir.TFLiteTensor.html#t:nif_error/0"},{"type":"type","title":"TFLiteElixir.TFLiteTensor.nif_resource_ok/0","doc":"","ref":"TFLiteElixir.TFLiteTensor.html#t:nif_resource_ok/0"},{"type":"type","title":"TFLiteElixir.TFLiteTensor.tensor_type/0","doc":"","ref":"TFLiteElixir.TFLiteTensor.html#t:tensor_type/0"},{"type":"module","title":"TFLiteElixir.Tokenizer.BasicTokenizer","doc":"Runs basic tokenization such as punctuation spliting, lower casing.","ref":"TFLiteElixir.Tokenizer.BasicTokenizer.html"},{"type":"function","title":"TFLiteElixir.Tokenizer.BasicTokenizer.tokenize/2","doc":"Tokenizes a piece of text.","ref":"TFLiteElixir.Tokenizer.BasicTokenizer.html#tokenize/2"},{"type":"module","title":"TFLiteElixir.Tokenizer.FullTokenizer","doc":"Runs end-to-end tokenization.\n\nRelated link: [FullTokenizer.swift](https://github.com/tensorflow/examples/blob/master/lite/examples/bert_qa/ios/BertQACore/Models/Tokenizers/FullTokenizer.swift)","ref":"TFLiteElixir.Tokenizer.FullTokenizer.html"},{"type":"function","title":"TFLiteElixir.Tokenizer.FullTokenizer.convert_to_id/2","doc":"Convert to ID in the vocab","ref":"TFLiteElixir.Tokenizer.FullTokenizer.html#convert_to_id/2"},{"type":"function","title":"TFLiteElixir.Tokenizer.FullTokenizer.tokenize/3","doc":"End-to-end tokenization.","ref":"TFLiteElixir.Tokenizer.FullTokenizer.html#tokenize/3"},{"type":"module","title":"TFLiteElixir.Tokenizer.WordpieceTokenizer","doc":"Runs WordPiece tokenziation.","ref":"TFLiteElixir.Tokenizer.WordpieceTokenizer.html"},{"type":"function","title":"TFLiteElixir.Tokenizer.WordpieceTokenizer.tokenize/2","doc":"Tokenizes a piece of text into its word pieces.\n\nThis uses a greedy longest-match-first algorithm to perform tokenization using the given\nvocabulary.\n\nFor example:\n\n```\ninput = \"unaffable\".\noutput = [\"una\", \"##ffa\", \"##ble\"].\n```\n\n```\ninput = \"unaffableX\".\noutput = [\"[UNK]\"].\n```\n\nRelated link: https://github.com/tensorflow/examples/blob/master/lite/examples/bert_qa/ios/BertQACore/Models/Tokenizers/WordpieceTokenizer.swift","ref":"TFLiteElixir.Tokenizer.WordpieceTokenizer.html#tokenize/2"}],"content_type":"text/markdown"}